//Task: holidays
//Author: Svetlin Nakov
#include <iostream>
using namespace std; 

int compareDates(int firstDay, int firstMonth, int firstYear,
	int secondDay, int secondMonth, int secondYear)
{
	if (firstYear < secondYear)
		return -1;
	else if (firstYear > secondYear)
		return 1;
	else if (firstMonth < secondMonth)
		return -1;
	else if (firstMonth > secondMonth)
		return 1;
	else if (firstDay < secondDay)
		return -1;
	else if (firstDay > secondDay)
		return 1;
	else
		return 0;
}

int calcDaysOfMonth(int year, int month)
{
	if (month == 1 || month == 3 || month == 5 || month == 7 ||
		month == 8 || month == 10 || month == 12)
		return 31;

	if (month == 4 || month == 6 || month == 9 || month == 11)
		return 30;

	// We have month == 2 (February)
	if ((year % 4 == 0 && year % 100 != 0) || (year % 400 == 0))
		return 29; // Leap year
	else
		return 28;
}

int main()
{
	int startDay, startMonth, startYear;
	cin >> startDay;
	cin.get(); // skip the '.'
	cin >> startMonth;
	cin.get(); // skip the '.'
	cin >> startYear;

	int endDay, endMonth, endYear;
	cin >> endDay;
	cin.get(); // skip the '.'
	cin >> endMonth;
	cin.get(); // skip the '.'
	cin >> endYear;

	int holidaysCount = 0;

	int day = 1; // day in range [1..31]
	int month = 1; // day in range [1..12]
	int year = 1900; // day in range [1900..2100]
	int dayOfWeek = 0; // 1.01.1900 is Monday (0)
	while (compareDates(day, month, year, endDay, endMonth, endYear) <= 0)
	{
		if (compareDates(day, month, year, startDay, startMonth, startYear) >= 0)
		{
			// Day is within the dates range -> check for holiday (Saturday or Sunday)
			if (dayOfWeek == 5 || dayOfWeek == 6)
				holidaysCount++;
		}

		// Move to the next date (e.g. 31.12.2015 -> 1.1.2016)
		day++;
		if (day > calcDaysOfMonth(year, month))
		{
			month++;
			day = 1;
		}
		if (month > 12)
		{
			year++;
			month = 1;
		}

		// Move to next day of week (e.g. Sunday -> Monday, Monday -> Tuesday, ...)
		dayOfWeek = (dayOfWeek + 1) % 7;
	}

	cout << holidaysCount << endl;
 
	return 0;
}
